{"title":"Get salesQuotes pdfDocument (v1.0)","url":"https://jonas-paprotka.de/docs/dev-itpro/api-reference/v1.0/api/dynamics_salesquote_pdfdocument/","by":"JOP-AL","license":"Copyright (c) Microsoft Corporation. CC BY 4.0, https://creativecommons.org/licenses/by/4.0/; code samples MIT. From https://learn.microsoft.com/en-us/dynamics365/business-central/dev-itpro/api-reference/v1.0/api/dynamics_salesquote_pdfdocument, MicrosoftDocs/dynamics365smb-devitpro-pb at 828b6ee (2026-11-19). Changed: includes filled in, links to this site, and for agents shortened without dropping a fact.","credit":"Microsoft Corporation, CC BY 4.0","origin":"https://learn.microsoft.com/en-us/dynamics365/business-central/dev-itpro/api-reference/v1.0/api/dynamics_salesquote_pdfdocument","source":{"name":"Business Central developer and IT pro docs","repo":"https://github.com/MicrosoftDocs/dynamics365smb-devitpro-pb","commit":"828b6ee72fcd75755627cd6011f3d20899217ab2","date":"2026-11-19"},"checked":"2026-11-19","description":"(v1.0) Gets a PDF document on a salesQuote in Dynamics 365 Business Central.","date":"2019-06-18","meta":{"topic":"reference"},"outline":[{"level":1,"title":"Get salesQuotes pdfDocument (v1.0)","slug":"get-salesquotes-pdfdocument-v10","at":0,"chars":3108},{"level":2,"title":"HTTP request (v1.0)","slug":"http-request-v10","at":303,"chars":597},{"level":2,"title":"Request headers (v1.0)","slug":"request-headers-v10","at":900,"chars":79},{"level":2,"title":"Request body (v1.0)","slug":"request-body-v10","at":979,"chars":69},{"level":2,"title":"Response (v1.0)","slug":"response-v10","at":1048,"chars":136},{"level":2,"title":"Example (v1.0)","slug":"example-v10","at":1184,"chars":1020},{"level":2,"title":"HTTP request","slug":"http-request","at":2204,"chars":310},{"level":2,"title":"Request headers","slug":"request-headers","at":2514,"chars":72},{"level":2,"title":"Request body","slug":"request-body","at":2586,"chars":62},{"level":2,"title":"Response","slug":"response","at":2648,"chars":115},{"level":2,"title":"Example","slug":"example","at":2763,"chars":223},{"level":2,"title":"Related information","slug":"related-information","at":2986,"chars":122}],"text":"# Get salesQuotes pdfDocument (v1.0)\nRetrieve a PDF print-out of the corresponding document as binary content for Business Central.\n> NOTE\n> To generate a document in the supported local language, you must specify `Accept-Language` in the Request header, for example `Accept-Language: nl-NL` for Dutch.\n## HTTP request (v1.0)\nReplace the URL prefix for Business Central depending on environment following the guideline<../endpoints-apis-for-dynamics>.\nThe following example gets a link to the content of the PDF:\n```\nGET businesscentralPrefix/api/v1.0/companies({id})/salesQuote({quoteId})/pdfDocument\nGET businesscentralPrefix/api/v1.0/companies({id})/salesInvoice({salesInvoiceId})/pdfDocument\nGET businesscentralPrefix/api/v1.0/companies({id})/salesCreditMemo(salesCreditMemoId})/pdfDocument\nGET businesscentralPrefix/api/v1.0/companies({id})/purchaseInvoide({purchaseInvoiceId})/pdfDocument\n\n```\n## Request headers (v1.0)\nHeader|Value\nAuthorization|Bearer {token}. Required.\n## Request body (v1.0)\nDo not supply a request body for this method.\n## Response (v1.0)\nIf successful, this method returns a ```200 OK``` response code and a link to the PDF document in the response body.\n## Example (v1.0)\nRequest\nHere is an example of the request.\n```json\nGET https://{businesscentralPrefix}/api/v1.0/companies({id})/salesQuotes({quoteId})/pdfDocument\n```\nResponse\nHere is an example of the response.\n> NOTE\n> The response object shown here may be truncated for brevity. All of the properties will be returned from an actual call.\n```json\n{\n\n    \"@odata.context\":\"https://api.businesscentral.dynamics.com/v1.0/api/v1.0/$metadata#companies('CRONUS%20International%20Ltd.')/salesQuotes(94913756-80e9-47bc-995a-048a655b8cdd)/pdfDocument\",\n    \"value\":\n    [\n        {\n            \"@odata.etag\":\"W/\\\"JzQ0O0tQNUdjaUtZcU8rcUNCQTdXOUxIZVEwalA0clhjSmlXU1pqWjQ4RFczd2s9MTswMDsn\\\"\",\n            \"id\":\"94913756-80e9-47bc-995a-048a655b8cdd\",\n            \"content@odata.mediaReadLink\":\"https:// api.businesscentral.dynamics.com/v1.0/pi/v1.0/companies(name='CRONUS%20International%20Ltd.')/salesQuotes(94913756-80e9-47bc-995a-048a655b8cdd)/pdfDocument(94913756-80e9-47bc-995a-048a655b8cdd)/content\"\n        }\n    ]\n}\n```\n## HTTP request\nReplace the URL prefix for Business Central depending on environment following the guideline<../endpoints-apis-for-dynamics>.\nThe following example gets the actual PDF document:\n`GET businesscentralPrefix/api/v1.0/companies({companyid})/salesQuotes({quoteId})/pdfDocument({invoiceid})/content`\n## Request headers\nHeader|Value\nAuthorization|Bearer {token}. Required.\n## Request body\nDo not supply a request body for this method.\n## Response\nIf successful, this method returns a `200 OK` response code and the PDF document in the response body.\n## Example\nRequest\nHere is an example of the request.\n```\nGET https://{businesscentralPrefix}/api/v1.0/companies({companyid})/salesQuotes({quoteId})/pdfDocument({id})/content\n```\nResponse\nThe PDF document in binary format.\n## Related information\nTips for working with the APIs<../../../developer/devenv-connect-apps-tips>\n../dynamics_error_codes"}